# Generated by Django 5.1.1 on 2024-10-06 23:11

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("artd_partner", "0007_position_partner"),
        ("artd_siigo", "0013_siigocostcenter"),
    ]

    operations = [
        migrations.CreateModel(
            name="SiigoFixedAsset",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.BooleanField(
                        default=True,
                        help_text="Status of the record",
                        verbose_name="Status",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="Date and time when the record was created",
                        verbose_name="Created at",
                    ),
                ),
                (
                    "updated_at",
                    models.DateTimeField(
                        auto_now=True,
                        help_text="Date and time when the record was updated",
                        verbose_name="Updated at",
                    ),
                ),
                (
                    "siigo_id",
                    models.CharField(
                        help_text="Siigo ID for the fixed asset",
                        max_length=250,
                        verbose_name="Siigo ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        help_text="Name of the fixed asset",
                        max_length=250,
                        verbose_name="Name",
                    ),
                ),
                (
                    "group",
                    models.CharField(
                        help_text="Group of the fixed asset",
                        max_length=250,
                        verbose_name="Group",
                    ),
                ),
                (
                    "active",
                    models.BooleanField(
                        default=True,
                        help_text="Active status of the fixed asset",
                        verbose_name="Active",
                    ),
                ),
                (
                    "json_data",
                    models.JSONField(
                        blank=True,
                        default=dict,
                        help_text="JSON data for the fixed asset",
                        null=True,
                        verbose_name="JSON Data",
                    ),
                ),
                (
                    "partner",
                    models.ForeignKey(
                        help_text="Partner associated with the fixed asset",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="artd_partner.partner",
                        verbose_name="Partner",
                    ),
                ),
            ],
            options={
                "verbose_name": "Siigo Catalog Fixed Asset",
                "verbose_name_plural": "Siigo Catalog Fixed Assets",
            },
        ),
    ]
