# Generated by Django 5.1.1 on 2024-10-19 22:03

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("artd_customer", "0010_macrotaxsegment_taxsegment_customer_tax_segment"),
        ("artd_partner", "0007_position_partner"),
        ("artd_siigo", "0029_siigoconfig"),
    ]

    operations = [
        migrations.CreateModel(
            name="FiscalResponsibilitiesMapping",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.BooleanField(
                        default=True,
                        help_text="Status of the record",
                        verbose_name="Status",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="Date and time when the record was created",
                        verbose_name="Created at",
                    ),
                ),
                (
                    "updated_at",
                    models.DateTimeField(
                        auto_now=True,
                        help_text="Date and time when the record was updated",
                        verbose_name="Updated at",
                    ),
                ),
                (
                    "code",
                    models.CharField(
                        blank=True,
                        help_text="Code",
                        max_length=2,
                        null=True,
                        verbose_name="Code",
                    ),
                ),
                (
                    "partner",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="fiscal_responsibilities_mappings",
                        to="artd_partner.partner",
                        verbose_name="Partner",
                    ),
                ),
                (
                    "tax_segment",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="artd_customer.taxsegment",
                        verbose_name="Tax Segment",
                    ),
                ),
            ],
            options={
                "verbose_name": "Mapping Fiscal Responsibilities Mapping",
                "verbose_name_plural": "Mapping Fiscal Responsibilities Mappings",
                "unique_together": {("partner", "tax_segment")},
            },
        ),
    ]
