# Generated by Django 5.1.1 on 2024-10-21 00:44

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("artd_partner", "0007_position_partner"),
        ("artd_product", "0017_remove_tax_partner_brand_partner"),
        ("artd_siigo", "0037_siigotaxresponsibilitiesbysegment"),
    ]

    operations = [
        migrations.CreateModel(
            name="TaxMapping",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.BooleanField(
                        default=True,
                        help_text="Status of the record",
                        verbose_name="Status",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="Date and time when the record was created",
                        verbose_name="Created at",
                    ),
                ),
                (
                    "updated_at",
                    models.DateTimeField(
                        auto_now=True,
                        help_text="Date and time when the record was updated",
                        verbose_name="Updated at",
                    ),
                ),
                (
                    "partner",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="tax_mappings",
                        to="artd_partner.partner",
                        verbose_name="Partner",
                    ),
                ),
                (
                    "siigo_tax",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="artd_siigo.siigotax",
                        verbose_name="Siigo Tax",
                    ),
                ),
                (
                    "tax",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="artd_product.tax",
                        verbose_name="Tax",
                    ),
                ),
            ],
            options={
                "verbose_name": "Mapping Tax",
                "verbose_name_plural": "Mapping Taxes",
                "unique_together": {("partner", "siigo_tax", "tax")},
            },
        ),
    ]
