# Generated by Django 5.1.1 on 2024-10-29 16:27

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("artd_partner", "0007_position_partner"),
        ("artd_siigo", "0042_alter_siigoproductproxy_options"),
    ]

    operations = [
        migrations.CreateModel(
            name="BillType",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.BooleanField(
                        default=True,
                        help_text="Status of the record",
                        verbose_name="Status",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="Date and time when the record was created",
                        verbose_name="Created at",
                    ),
                ),
                (
                    "updated_at",
                    models.DateTimeField(
                        auto_now=True,
                        help_text="Date and time when the record was updated",
                        verbose_name="Updated at",
                    ),
                ),
                ("name", models.CharField(max_length=100, verbose_name="Name")),
                ("code", models.CharField(max_length=100, verbose_name="Code")),
                (
                    "partner",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="artd_partner.partner",
                        verbose_name="Partner",
                    ),
                ),
            ],
            options={
                "verbose_name": "Bill Type",
                "verbose_name_plural": "Bill Types",
                "unique_together": {("partner", "code")},
            },
        ),
        migrations.CreateModel(
            name="BillConfig",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.BooleanField(
                        default=True,
                        help_text="Status of the record",
                        verbose_name="Status",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="Date and time when the record was created",
                        verbose_name="Created at",
                    ),
                ),
                (
                    "updated_at",
                    models.DateTimeField(
                        auto_now=True,
                        help_text="Date and time when the record was updated",
                        verbose_name="Updated at",
                    ),
                ),
                (
                    "partner",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="artd_partner.partner",
                        verbose_name="Partner",
                    ),
                ),
                (
                    "siigo_document_type",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        to="artd_siigo.siigodocumenttype",
                        verbose_name="Siigo Document Type",
                    ),
                ),
                (
                    "bill_type",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        to="artd_siigo.billtype",
                        verbose_name="Bill Type",
                    ),
                ),
            ],
            options={
                "verbose_name": "Bill Config",
                "verbose_name_plural": "Bill Configs",
                "unique_together": {("partner", "siigo_document_type")},
            },
        ),
    ]
