# Generated by Django 5.1.1 on 2024-10-29 18:41

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("artd_partner", "0007_position_partner"),
        ("artd_siigo", "0043_billtype_billconfig"),
    ]

    operations = [
        migrations.AddField(
            model_name="billconfig",
            name="generate_electronic_bill",
            field=models.BooleanField(
                default=False, verbose_name="Generate Electronic Bill"
            ),
        ),
        migrations.CreateModel(
            name="UserMapping",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.BooleanField(
                        default=True,
                        help_text="Status of the record",
                        verbose_name="Status",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="Date and time when the record was created",
                        verbose_name="Created at",
                    ),
                ),
                (
                    "updated_at",
                    models.DateTimeField(
                        auto_now=True,
                        help_text="Date and time when the record was updated",
                        verbose_name="Updated at",
                    ),
                ),
                (
                    "partner",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="user_mappings",
                        to="artd_partner.partner",
                        verbose_name="Partner",
                    ),
                ),
                (
                    "siigo_user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="artd_siigo.siigouser",
                        verbose_name="Siigo User",
                    ),
                ),
            ],
            options={
                "verbose_name": "Mapping User",
                "verbose_name_plural": "Mapping Users",
                "unique_together": {("partner", "siigo_user")},
            },
        ),
    ]
