# Generated by Django 5.1.1 on 2024-10-29 22:32

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("artd_partner", "0007_position_partner"),
        ("artd_siigo", "0047_billconfig_artd_document_type"),
    ]

    operations = [
        migrations.CreateModel(
            name="SiigoInvoice",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.BooleanField(
                        default=True,
                        help_text="Status of the record",
                        verbose_name="Status",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="Date and time when the record was created",
                        verbose_name="Created at",
                    ),
                ),
                (
                    "updated_at",
                    models.DateTimeField(
                        auto_now=True,
                        help_text="Date and time when the record was updated",
                        verbose_name="Updated at",
                    ),
                ),
                ("siigo_id", models.CharField(max_length=100, verbose_name="Siigo ID")),
                ("number", models.PositiveIntegerField(verbose_name="Number")),
                ("name", models.CharField(max_length=100, verbose_name="Name")),
                ("date", models.DateField(verbose_name="Date")),
                ("customer", models.JSONField(default=dict, verbose_name="Customer")),
                (
                    "cost_center",
                    models.PositiveIntegerField(verbose_name="Cost Center"),
                ),
                ("currency", models.JSONField(default=dict, verbose_name="Currency")),
                ("total", models.FloatField(verbose_name="Total")),
                ("balance", models.FloatField(verbose_name="Balance")),
                ("seller", models.PositiveIntegerField(verbose_name="Seller")),
                ("stamp", models.JSONField(default=dict, verbose_name="Stamp")),
                ("mail", models.JSONField(default=dict, verbose_name="Mail")),
                (
                    "observations",
                    models.TextField(
                        blank=True, null=True, verbose_name="Observations"
                    ),
                ),
                ("items", models.JSONField(default=dict, verbose_name="Items")),
                ("payments", models.JSONField(default=dict, verbose_name="Payments")),
                (
                    "public_url",
                    models.TextField(blank=True, null=True, verbose_name="Public URL"),
                ),
                (
                    "global_discounts",
                    models.JSONField(default=dict, verbose_name="Global Discounts"),
                ),
                (
                    "additional_fields",
                    models.JSONField(default=dict, verbose_name="Additional Fields"),
                ),
                ("metadata", models.JSONField(default=dict, verbose_name="Metadata")),
                ("json_data", models.JSONField(default=dict, verbose_name="JSON Data")),
                (
                    "partner",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="artd_partner.partner",
                        verbose_name="Partner",
                    ),
                ),
            ],
            options={
                "verbose_name": "Siigo Invoice",
                "verbose_name_plural": "Siigo Invoices",
            },
        ),
    ]
