# Generated by Django 5.1.1 on 2025-03-17 20:56

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("artd_partner", "0007_position_partner"),
        ("artd_siigo", "0049_siigoinvoice_order"),
    ]

    operations = [
        migrations.CreateModel(
            name="EntityImportStatus",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.BooleanField(
                        default=True,
                        help_text="Status of the record",
                        verbose_name="Status",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="Date and time when the record was created",
                        verbose_name="Created at",
                    ),
                ),
                (
                    "updated_at",
                    models.DateTimeField(
                        auto_now=True,
                        help_text="Date and time when the record was updated",
                        verbose_name="Updated at",
                    ),
                ),
                (
                    "siigo_entity",
                    models.CharField(
                        choices=[("customer", "Customer"), ("supplier", "Supplier")],
                        max_length=255,
                        unique=True,
                        verbose_name="Siigo Entity",
                    ),
                ),
                (
                    "last_imported_id",
                    models.PositiveIntegerField(
                        default=0, verbose_name="Last Imported ID"
                    ),
                ),
                ("page", models.PositiveIntegerField(default=1, verbose_name="Page")),
                (
                    "page_size",
                    models.PositiveIntegerField(default=25, verbose_name="Page Size"),
                ),
                (
                    "url_complement",
                    models.CharField(
                        default="", max_length=255, verbose_name="URL Complement"
                    ),
                ),
                (
                    "partner",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="artd_partner.partner",
                        verbose_name="Partner",
                    ),
                ),
            ],
            options={
                "verbose_name": "Entity Import Status",
                "verbose_name_plural": "Entity Import Statuss",
            },
        ),
    ]
