# Generated by Django 5.1.1 on 2025-03-20 14:36

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("artd_partner", "0007_position_partner"),
        ("artd_siigo", "0052_alter_entityimportstatus_last_imported_id_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="entityimportstatus",
            name="siigo_entity",
            field=models.CharField(
                choices=[
                    ("customer", "Customer"),
                    ("supplier", "Supplier"),
                    ("product", "Product"),
                    ("category", "Category"),
                    ("account", "Account"),
                    ("tax", "Tax"),
                    ("unit", "Unit"),
                ],
                max_length=255,
                unique=True,
                verbose_name="Siigo Entity",
            ),
        ),
        migrations.CreateModel(
            name="PartnerSiigoConfiguration",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.BooleanField(
                        default=True,
                        help_text="Status of the record",
                        verbose_name="Status",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="Date and time when the record was created",
                        verbose_name="Created at",
                    ),
                ),
                (
                    "updated_at",
                    models.DateTimeField(
                        auto_now=True,
                        help_text="Date and time when the record was updated",
                        verbose_name="Updated at",
                    ),
                ),
                (
                    "sync_customers",
                    models.BooleanField(default=False, verbose_name="Sync Customers"),
                ),
                (
                    "sync_products",
                    models.BooleanField(default=False, verbose_name="Sync Products"),
                ),
                (
                    "sync_invoices",
                    models.BooleanField(default=False, verbose_name="Sync Invoices"),
                ),
                (
                    "partner",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="artd_partner.partner",
                        verbose_name="Partner",
                    ),
                ),
            ],
            options={
                "verbose_name": "Partner Siigo Configuration",
                "verbose_name_plural": "Partner Siigo Configurations",
            },
        ),
    ]
