# Generated by Django 5.1.1 on 2025-03-21 21:20

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("artd_siigo", "0061_alter_siigocustomer_synchronized"),
    ]

    operations = [
        migrations.AlterField(
            model_name="siigoproduct",
            name="account_group",
            field=models.ForeignKey(
                blank=True,
                help_text="Account group for the product",
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="artd_siigo.siigoaccountgroup",
                verbose_name="Account Group",
            ),
        ),
        migrations.AlterField(
            model_name="siigoproduct",
            name="additional_fields",
            field=models.JSONField(
                blank=True,
                default=dict,
                help_text="Additional fields for the product",
                null=True,
                verbose_name="Additional Fields",
            ),
        ),
        migrations.AlterField(
            model_name="siigoproduct",
            name="available_quantity",
            field=models.FloatField(
                blank=True,
                default=0,
                help_text="Available quantity of the product",
                null=True,
                verbose_name="Available Quantity",
            ),
        ),
        migrations.AlterField(
            model_name="siigoproduct",
            name="code",
            field=models.CharField(
                blank=True,
                help_text="Code of the product",
                max_length=250,
                null=True,
                verbose_name="Code",
            ),
        ),
        migrations.AlterField(
            model_name="siigoproduct",
            name="description",
            field=models.TextField(
                blank=True,
                help_text="Description of the product",
                null=True,
                verbose_name="Description",
            ),
        ),
        migrations.AlterField(
            model_name="siigoproduct",
            name="name",
            field=models.CharField(
                blank=True,
                help_text="Name of the product",
                max_length=250,
                null=True,
                verbose_name="Name",
            ),
        ),
        migrations.AlterField(
            model_name="siigoproduct",
            name="reference",
            field=models.CharField(
                blank=True,
                help_text="Reference of the product",
                max_length=250,
                null=True,
                verbose_name="Reference",
            ),
        ),
        migrations.AlterField(
            model_name="siigoproduct",
            name="source",
            field=models.CharField(
                blank=True,
                default="SIIGO",
                help_text="Source of the customer",
                max_length=250,
                null=True,
                verbose_name="Source",
            ),
        ),
        migrations.AlterField(
            model_name="siigoproduct",
            name="synchronized",
            field=models.BooleanField(
                default=False,
                help_text="Synchronized status of the customer",
                verbose_name="Synchronized",
            ),
        ),
        migrations.AlterField(
            model_name="siigoproduct",
            name="tax_classification",
            field=models.CharField(
                blank=True,
                help_text="Tax classification of the product",
                max_length=250,
                null=True,
                verbose_name="Tax Classification",
            ),
        ),
        migrations.AlterField(
            model_name="siigoproduct",
            name="tax_consumption_value",
            field=models.FloatField(
                default=0,
                help_text="Tax consumption value of the product",
                verbose_name="Tax Consumption Value",
            ),
        ),
        migrations.AlterField(
            model_name="siigoproduct",
            name="taxes",
            field=models.ManyToManyField(
                blank=True,
                help_text="Taxes for the product",
                null=True,
                to="artd_siigo.siigotax",
                verbose_name="Taxes",
            ),
        ),
        migrations.AlterField(
            model_name="siigoproduct",
            name="type",
            field=models.CharField(
                blank=True,
                help_text="Type of the product",
                max_length=250,
                null=True,
                verbose_name="Type",
            ),
        ),
        migrations.AlterField(
            model_name="siigoproduct",
            name="unit_label",
            field=models.CharField(
                blank=True,
                help_text="Unit label of the product",
                max_length=250,
                null=True,
                verbose_name="Unit Label",
            ),
        ),
        migrations.AlterField(
            model_name="siigoproduct",
            name="warehouses",
            field=models.ManyToManyField(
                blank=True,
                help_text="Warehouses for the product",
                null=True,
                to="artd_siigo.siigowarehouse",
                verbose_name="Warehouses",
            ),
        ),
    ]
